#include <ZXMod.h>

DESC="This simple demonstrative module is an example of how to generate "
     "a gradient changing from spherical to squared to star-like depending "
     "on the Threshold value passed, which will be used as exponent value";

ULONG FUNC(x,y,a,b,t,it)
{
 register DOUBLE r;
 register UBYTE c;


 r=pow(fabs(x),t)+pow(fabs(y),t);
 if(r>1) r=1;
 r=pow(1-r,1/t);


 c=(UBYTE)(r*255);

 RGBRETURN(c,c,c);
}
