#include <ZXMod.h>

// Same as the other module but flipped on the diagonal (x=-x, y=-y)
// Just to display straight the details in the botton left corner

#define PREITERS 500

ULONG FUNC(px,py,_msk,_ml,t,it)
{
 register DOUBLE x,x0,r,l,l1,l2,l3;
 register ULONG msk,ml,c;

 px=-px; py=-py;

 msk=(ULONG)_msk;
 ml=(ULONG)_ml +1;

 x=.5; l=l1=l2=l3=1;

 #define FX r*x*(1-x)
 #define DX (r-2*r*x)

 c=0;

 while(c<PREITERS)
 {
  if(msk & (1<<(c%ml))) r=py; else r=px; c++;
   x=FX; if(fabs(x)>100) RGBRETURN(0,0,0);
 }

 r=DX;
 c=0;
 while(c<it)
 {
  x0=r;
  if(msk & (1<<(c%ml))) r=py; else r=px; c++;
  x=FX; if(fabs(x)>100) RGBRETURN(0,0,0);
  r=DX;
  l1*=(r-x0); l*=r;

  if(msk & (1<<(c%ml))) r=py; else r=px; c++;
  x=FX;  if(fabs(x)>100) RGBRETURN(0,0,0);
  r=DX;
  l2*=(r-x0); l*=r;

  if(msk & (1<<(c%ml))) r=py; else r=px; c++;
  x=FX;  if(fabs(x)>100) RGBRETURN(0,0,0);
  r=DX;
  l3*=(r-x0); l*=r;
 }


 l=fabs(l); l1=fabs(l1); l2=fabs(l2); l3=fabs(l3);
 if(l==0) l=1E-300;
 if(l1==0) l1=1E-300;
 if(l2==0) l2=1E-300;
 if(l3==0) l3=1E-300;

 l=fabs(log(l)/it)/t; if(l>1) l=1; l=1-l;
 l1=fabs(log((l1))/it)/t; if(l1>1) l1=1; l1=1-l1;
 l2=fabs(log((l2))/it)/t; if(l2>1) l2=1; l2=1-l2;
 l3=fabs(log((l3))/it)/t; if(l3>1) l3=1; l3=1-l3;

 RGBRETURN(
  (UBYTE)((l1*(1-l)+l)*l*255),
  (UBYTE)((l2*(1-l)+l)*l*255),
  (UBYTE)((l3*(1-l)+l)*l*255)
 );

 /*RGBRETURN( (UBYTE)(l1*255),(UBYTE)(l2*255),(UBYTE)(l3*255));*/

}
