#include <ZXMod.h>

DESC="This simple stupid example module shows how to generate a gaussian-distorced "
     "checkered plane which can be scaled/rotated by C";

ULONG FUNC(x,y,a,b,t,it)
{
 int c;
 DOUBLE r,p,f;

 CZ;

 f=exp(-x*x-y*y);
 f=(1-f)*10+f*0;


 x*=f; y*=f;
 r=x-floor(x); if(r<0.5) r=0; else r=1;
 p=y-floor(y); if(p<0.5) p=0; else p=1;
 if(r==p) r=1; else r=0;

 c=(UBYTE)(r*255);

 RGBRETURN(c,c,c);
}
